.custom_popups .site-popup {
    position: fixed;
    inset: 0;
    z-index: 9999;
    display: flex;
    align-items: center;
}

.custom_popups .site-popup[hidden] {
    display: none;
}

.custom_popups .site-popup__overlay {
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.6);
}

.custom_popups .site-popup__content {
    position: relative;
    max-width: 500px;
    margin: 10vh auto;
    background: #fff;
    padding: 30px;
    border-radius: 8px;
    z-index: 2;
    width: calc(100% - 30px);
}

.custom_popups .site-popup__actions {
    margin-top: 20px;
    display: flex;
    gap: 12px;
}

.external-popup {
    position: fixed;
    inset: 0;
    z-index: 10000;
    display: flex;
    align-items: center;
}

.external-popup[hidden] {
    display: none;
}

.external-popup__overlay {
    position: absolute;
    inset: 0;
    background: rgba(0, 0, 0, 0.6);
}

.external-popup__content {
    position: relative;
    max-width: 800px;
    margin: 10vh auto;
    background: #fff;
    padding: 30px;
    border-radius: 8px;
    z-index: 2;
    width: calc(100% - 30px);
}

.external-popup__actions {
    display: flex;
    align-items: center;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px 15px;
    margin-top: 20px;
}

.js-external-continue {
    border: medium none;
}